hw_New_Document
hw_Output_Document
Hyperwave Functions
PHP Manual

# hw_objrec2array

(PHP 4)

hw_objrec2array — Convert attributes from object record to object array

### Description

array hw_objrec2array ( string `$object_record` [, array `$format` ] )

Converts an `object_record` into an object array.

### Parameters

`object_record`

  The object record.

`format`

  An associative array with the attribute name as its key and the value being one of HW_ATTR_LANG or HW_ATTR_NONE.

### Return Values

Returns an array. The keys of the resulting array are the attributes names. Multi-value attributes like 'Title' in different languages form its own array. The keys of this array are the left part to the colon of the attribute value. This left part must be two characters long.

Other multi-value attributes without a prefix form an indexed array. If the optional parameter is missing the attributes 'Title', 'Description' and 'Keyword' are treated as language attributes and the attributes 'Group', 'Parent' and 'HtmlAttr' as non-prefixed multi-value attributes. By passing an array holding the type for each attribute you can alter this behaviour.

### See Also

- hw_array2objrec() - Convert attributes from object array to object record

hw_New_Document
hw_Output_Document
Hyperwave Functions
PHP Manual